---
title: Get an SLO's details
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Service Level Objectives
---

# Get an SLO's details{% #get-an-slos-details %}
Copy pageCopied
{% tab title="v1" %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/slo/{slo_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/slo/{slo_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/slo/{slo_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/slo/{slo_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/slo/{slo_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/slo/{slo_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/slo/{slo_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/slo/{slo_id} |

### Overview

Get a service level objective object. This endpoint requires the `slos_read` permission.

OAuth apps require the `slos_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#service-level-objectives) to access this endpoint.



### Arguments

#### Path Parameters

| Name                     | Type   | Description                                   |
| ------------------------ | ------ | --------------------------------------------- |
| slo_id [*required*] | string | The ID of the service level objective object. |

#### Query Strings

| Name                      | Type    | Description                                          |
| ------------------------- | ------- | ---------------------------------------------------- |
| with_configured_alert_ids | boolean | Get the IDs of SLO monitors that reference this SLO. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
A service level objective response containing a single service level objective.

| Parent field         | Field                                  | Type            | Description                                                                                                                                                                                                                                                                                                                                                             |
| -------------------- | -------------------------------------- | --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                      | data                                   | object          | A service level objective object includes a service level indicator, thresholds for one or more timeframes, and metadata (`name`, `description`, `tags`, etc.).                                                                                                                                                                                                         |
| data                 | configured_alert_ids                   | [integer]       | A list of SLO monitors IDs that reference this SLO. This field is returned only when `with_configured_alert_ids` parameter is true in query.                                                                                                                                                                                                                            |
| data                 | created_at                             | int64           | Creation timestamp (UNIX time in seconds)                                                                                                                                                                                                                                                                                                                               | Always included in service level objective responses.                                                                                                                                                               |
| data                 | creator                                | object          | Object describing the creator of the shared element.                                                                                                                                                                                                                                                                                                                    |
| creator              | email                                  | string          | Email of the creator.                                                                                                                                                                                                                                                                                                                                                   |
| creator              | handle                                 | string          | Handle of the creator.                                                                                                                                                                                                                                                                                                                                                  |
| creator              | name                                   | string          | Name of the creator.                                                                                                                                                                                                                                                                                                                                                    |
| data                 | description                            | string          | A user-defined description of the service level objective.                                                                                                                                                                                                                                                                                                              | Always included in service level objective responses (but may be `null`). Optional in create/update requests.                                                                                                       |
| data                 | groups                                 | [string]        | A list of (up to 20) monitor groups that narrow the scope of a monitor service level objective.                                                                                                                                                                                                                                                                         | Included in service level objective responses if it is not empty. Optional in create/update requests for monitor service level objectives, but may only be used when then length of the `monitor_ids` field is one. |
| data                 | id                                     | string          | A unique identifier for the service level objective object.                                                                                                                                                                                                                                                                                                             | Always included in service level objective responses.                                                                                                                                                               |
| data                 | modified_at                            | int64           | Modification timestamp (UNIX time in seconds)                                                                                                                                                                                                                                                                                                                           | Always included in service level objective responses.                                                                                                                                                               |
| data                 | monitor_ids                            | [integer]       | A list of monitor ids that defines the scope of a monitor service level objective. **Required if type is `monitor`**.                                                                                                                                                                                                                                                   |
| data                 | monitor_tags                           | [string]        | The union of monitor tags for all monitors referenced by the `monitor_ids` field. Always included in service level objective responses for monitor service level objectives (but may be empty). Ignored in create/update requests. Does not affect which monitors are included in the service level objective (that is determined entirely by the `monitor_ids` field). |
| data                 | name                                   | string          | The name of the service level objective object.                                                                                                                                                                                                                                                                                                                         |
| data                 | query                                  | object          | The metric query used to define a count-based SLO as the ratio of good events to total events.                                                                                                                                                                                                                                                                          |
| query                | denominator [*required*]          | string          | A Datadog metric query for total (valid) events.                                                                                                                                                                                                                                                                                                                        |
| query                | numerator [*required*]            | string          | A Datadog metric query for good events.                                                                                                                                                                                                                                                                                                                                 |
| data                 | sli_specification                      |  <oneOf>   | A generic SLI specification. This is currently used for time-slice and count-based (metric) SLOs only.                                                                                                                                                                                                                                                                  |
| sli_specification    | Option 1                               | object          | A time-slice SLI specification.                                                                                                                                                                                                                                                                                                                                         |
| Option 1             | time_slice [*required*]           | object          | The time-slice condition, composed of 3 parts: 1. the metric timeseries query, 2. the comparator, and 3. the threshold. Optionally, a fourth part, the query interval, can be provided.                                                                                                                                                                                 |
| time_slice           | comparator [*required*]           | enum            | The comparator used to compare the SLI value to the threshold. Allowed enum values: `>,>=,<,<=`                                                                                                                                                                                                                                                                         |
| time_slice           | query [*required*]                | object          | The queries and formula used to calculate the SLI value.                                                                                                                                                                                                                                                                                                                |
| query                | formulas [*required*]             | [object]        | A list that contains exactly one formula, as only a single formula may be used in a time-slice SLO.                                                                                                                                                                                                                                                                     |
| formulas             | formula [*required*]              | string          | The formula string, which is an expression involving named queries.                                                                                                                                                                                                                                                                                                     |
| query                | queries [*required*]              | [ <oneOf>] | A list of queries that are used to calculate the SLI value.                                                                                                                                                                                                                                                                                                             |
| queries              | Option 1                               | object          | A formula and functions metrics query.                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | aggregator                             | enum            | The aggregation methods available for metrics queries. Allowed enum values: `avg,min,max,sum,last,area,l2norm,percentile`                                                                                                                                                                                                                                               |
| Option 1             | cross_org_uuids                        | [string]        | The source organization UUID for cross organization queries. Feature in Private Beta.                                                                                                                                                                                                                                                                                   |
| Option 1             | data_source [*required*]          | enum            | Data source for metrics queries. Allowed enum values: `metrics`                                                                                                                                                                                                                                                                                                         |
| Option 1             | name [*required*]                 | string          | Name of the query for use in formulas.                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | query [*required*]                | string          | Metrics query definition.                                                                                                                                                                                                                                                                                                                                               |
| Option 1             | semantic_mode                          | enum            | Semantic mode for metrics queries. This determines how metrics from different sources are combined or displayed. Allowed enum values: `combined,native`                                                                                                                                                                                                                 |
| time_slice           | query_interval_seconds                 | enum            | The interval used when querying data, which defines the size of a time slice. Two values are allowed: 60 (1 minute) and 300 (5 minutes). If not provided, the value defaults to 300 (5 minutes). Allowed enum values: `60,300`                                                                                                                                          |
| time_slice           | threshold [*required*]            | double          | The threshold value to which each SLI value will be compared.                                                                                                                                                                                                                                                                                                           |
| sli_specification    | Option 2                               | object          | A metric SLI specification.                                                                                                                                                                                                                                                                                                                                             |
| Option 2             | count [*required*]                |  <oneOf>   | A count-based (metric) SLI specification, composed of three parts: the good events formula, the bad or total events formula, and the underlying queries. Exactly one of `total_events_formula` or `bad_events_formula` must be provided.                                                                                                                                |
| count                | Option 1                               | object          | SLO count definition using a total events formula alongside a good events formula.                                                                                                                                                                                                                                                                                      |
| Option 1             | good_events_formula [*required*]  | object          | A formula that specifies how to combine the results of multiple queries.                                                                                                                                                                                                                                                                                                |
| good_events_formula  | formula [*required*]              | string          | The formula string, which is an expression involving named queries.                                                                                                                                                                                                                                                                                                     |
| Option 1             | queries [*required*]              | [ <oneOf>] |
| queries              | Option 1                               | object          | A formula and functions metrics query.                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | aggregator                             | enum            | The aggregation methods available for metrics queries. Allowed enum values: `avg,min,max,sum,last,area,l2norm,percentile`                                                                                                                                                                                                                                               |
| Option 1             | cross_org_uuids                        | [string]        | The source organization UUID for cross organization queries. Feature in Private Beta.                                                                                                                                                                                                                                                                                   |
| Option 1             | data_source [*required*]          | enum            | Data source for metrics queries. Allowed enum values: `metrics`                                                                                                                                                                                                                                                                                                         |
| Option 1             | name [*required*]                 | string          | Name of the query for use in formulas.                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | query [*required*]                | string          | Metrics query definition.                                                                                                                                                                                                                                                                                                                                               |
| Option 1             | semantic_mode                          | enum            | Semantic mode for metrics queries. This determines how metrics from different sources are combined or displayed. Allowed enum values: `combined,native`                                                                                                                                                                                                                 |
| Option 1             | total_events_formula [*required*] | object          | The total events formula. Bad events queries can be defined using the `bad_events_formula` field as an alternative. Only one of `total_events_formula` or `bad_events_formula` must be provided.                                                                                                                                                                        |
| total_events_formula | formula [*required*]              | string          | The formula string, which is an expression involving named queries.                                                                                                                                                                                                                                                                                                     |
| count                | Option 2                               | object          | SLO count definition using a bad events formula alongside a good events formula.                                                                                                                                                                                                                                                                                        |
| Option 2             | bad_events_formula [*required*]   | object          | The bad events formula (recommended). Total events queries can be defined using the `total_events_formula` field as an alternative. Only one of `total_events_formula` or `bad_events_formula` must be provided.                                                                                                                                                        |
| bad_events_formula   | formula [*required*]              | string          | The formula string, which is an expression involving named queries.                                                                                                                                                                                                                                                                                                     |
| Option 2             | good_events_formula [*required*]  | object          | A formula that specifies how to combine the results of multiple queries.                                                                                                                                                                                                                                                                                                |
| good_events_formula  | formula [*required*]              | string          | The formula string, which is an expression involving named queries.                                                                                                                                                                                                                                                                                                     |
| Option 2             | queries [*required*]              | [ <oneOf>] |
| queries              | Option 1                               | object          | A formula and functions metrics query.                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | aggregator                             | enum            | The aggregation methods available for metrics queries. Allowed enum values: `avg,min,max,sum,last,area,l2norm,percentile`                                                                                                                                                                                                                                               |
| Option 1             | cross_org_uuids                        | [string]        | The source organization UUID for cross organization queries. Feature in Private Beta.                                                                                                                                                                                                                                                                                   |
| Option 1             | data_source [*required*]          | enum            | Data source for metrics queries. Allowed enum values: `metrics`                                                                                                                                                                                                                                                                                                         |
| Option 1             | name [*required*]                 | string          | Name of the query for use in formulas.                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | query [*required*]                | string          | Metrics query definition.                                                                                                                                                                                                                                                                                                                                               |
| Option 1             | semantic_mode                          | enum            | Semantic mode for metrics queries. This determines how metrics from different sources are combined or displayed. Allowed enum values: `combined,native`                                                                                                                                                                                                                 |
| data                 | tags                                   | [string]        | A list of tags associated with this service level objective. Always included in service level objective responses (but may be empty). Optional in create/update requests.                                                                                                                                                                                               |
| data                 | target_threshold                       | double          | The target threshold such that when the service level indicator is above this threshold over the given timeframe, the objective is being met.                                                                                                                                                                                                                           |
| data                 | thresholds                             | [object]        | The thresholds (timeframes and associated targets) for this service level objective object.                                                                                                                                                                                                                                                                             |
| thresholds           | target [*required*]               | double          | The target value for the service level indicator within the corresponding timeframe.                                                                                                                                                                                                                                                                                    |
| thresholds           | target_display                         | string          | A string representation of the target that indicates its precision. It uses trailing zeros to show significant decimal places (for example `98.00`).                                                                                                                                                                                                                    | Always included in service level objective responses. Ignored in create/update requests.                                                                                                                            |
| thresholds           | timeframe [*required*]            | enum            | The SLO time window options. Note that "custom" is not a valid option for creating or updating SLOs. It is only used when querying SLO history over custom timeframes. Allowed enum values: `7d,30d,90d,custom`                                                                                                                                                         |
| thresholds           | warning                                | double          | The warning value for the service level objective.                                                                                                                                                                                                                                                                                                                      |
| thresholds           | warning_display                        | string          | A string representation of the warning target (see the description of the `target_display` field for details).                                                                                                                                                                                                                                                          | Included in service level objective responses if a warning target exists. Ignored in create/update requests.                                                                                                        |
| data                 | timeframe                              | enum            | The SLO time window options. Note that "custom" is not a valid option for creating or updating SLOs. It is only used when querying SLO history over custom timeframes. Allowed enum values: `7d,30d,90d,custom`                                                                                                                                                         |
| data                 | type                                   | enum            | The type of the service level objective. Allowed enum values: `metric,monitor,time_slice`                                                                                                                                                                                                                                                                               |
| data                 | warning_threshold                      | double          | The optional warning threshold such that when the service level indicator is below this value for the given threshold, but above the target threshold, the objective appears in a "warning" state. This value must be greater than the target threshold.                                                                                                                |
|                      | errors                                 | [string]        | An array of error messages. Each endpoint documents how/whether this field is used.                                                                                                                                                                                                                                                                                     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "configured_alert_ids": [
      123,
      456,
      789
    ],
    "created_at": "integer",
    "creator": {
      "email": "string",
      "handle": "string",
      "name": "string"
    },
    "description": "string",
    "groups": [
      "env:prod",
      "role:mysql"
    ],
    "id": "string",
    "modified_at": "integer",
    "monitor_ids": [],
    "monitor_tags": [],
    "name": "Custom Metric SLO",
    "query": {
      "denominator": "sum:my.custom.metric{*}.as_count()",
      "numerator": "sum:my.custom.metric{type:good}.as_count()"
    },
    "sli_specification": {
      "time_slice": {
        "comparator": ">",
        "query": {
          "formulas": [
            {
              "formula": "query1 - default_zero(query2)"
            }
          ],
          "queries": [
            []
          ]
        },
        "query_interval_seconds": 300,
        "threshold": 5
      }
    },
    "tags": [
      "env:prod",
      "app:core"
    ],
    "target_threshold": 99.9,
    "thresholds": [
      {
        "target": 99.9,
        "target_display": "99.9",
        "timeframe": "30d",
        "warning": 90,
        "warning_display": "90.0"
      }
    ],
    "timeframe": "30d",
    "type": "metric",
    "warning_threshold": 99.95
  },
  "errors": []
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not found
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export slo_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v1/slo/${slo_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get an SLO's details returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v1.api.service_level_objectives_api import ServiceLevelObjectivesApi

# there is a valid "slo" in the system
SLO_DATA_0_ID = environ["SLO_DATA_0_ID"]

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = ServiceLevelObjectivesApi(api_client)
    response = api_instance.get_slo(
        slo_id=SLO_DATA_0_ID,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get an SLO's details returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V1::ServiceLevelObjectivesAPI.new

# there is a valid "slo" in the system
SLO_DATA_0_ID = ENV["SLO_DATA_0_ID"]
p api_instance.get_slo(SLO_DATA_0_ID)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```ruby
# This is not currently available for the Ruby API.
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby-legacy) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get an SLO's details returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV1"
)

func main() {
	// there is a valid "slo" in the system
	SloData0ID := os.Getenv("SLO_DATA_0_ID")

	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV1.NewServiceLevelObjectivesApi(apiClient)
	resp, r, err := api.GetSLO(ctx, SloData0ID, *datadogV1.NewGetSLOOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ServiceLevelObjectivesApi.GetSLO`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ServiceLevelObjectivesApi.GetSLO`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get an SLO's details returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v1.api.ServiceLevelObjectivesApi;
import com.datadog.api.client.v1.model.SLOResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    ServiceLevelObjectivesApi apiInstance = new ServiceLevelObjectivesApi(defaultClient);

    // there is a valid "slo" in the system
    String SLO_DATA_0_ID = System.getenv("SLO_DATA_0_ID");

    try {
      SLOResponse result = apiInstance.getSLO(SLO_DATA_0_ID);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ServiceLevelObjectivesApi#getSLO");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
from datadog import initialize, api

options = {
    'api_key': '<DATADOG_API_KEY>',
    'app_key': '<DATADOG_APPLICATION_KEY>'
}

slo_id = '<YOUR_SLO_ID>'

initialize(**options)

api.ServiceLevelObjective.get(slo_id)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python-legacy) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python "example.py"
##### 

```rust
// Get an SLO's details returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV1::api_service_level_objectives::GetSLOOptionalParams;
use datadog_api_client::datadogV1::api_service_level_objectives::ServiceLevelObjectivesAPI;

#[tokio::main]
async fn main() {
    // there is a valid "slo" in the system
    let slo_data_0_id = std::env::var("SLO_DATA_0_ID").unwrap();
    let configuration = datadog::Configuration::new();
    let api = ServiceLevelObjectivesAPI::with_config(configuration);
    let resp = api
        .get_slo(slo_data_0_id.clone(), GetSLOOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get an SLO's details returns "OK" response
 */

import { client, v1 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v1.ServiceLevelObjectivesApi(configuration);

// there is a valid "slo" in the system
const SLO_DATA_0_ID = process.env.SLO_DATA_0_ID as string;

const params: v1.ServiceLevelObjectivesApiGetSLORequest = {
  sloId: SLO_DATA_0_ID,
};

apiInstance
  .getSLO(params)
  .then((data: v1.SLOResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
